Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl
Class FdkServiceEventHandler

    java.lang.Object
      oracle.ifs.share.Executor
          oracle.ifs.fdk.impl.FdkServiceEventHandler

All Implemented Interfaces:
  java.lang.Runnable, IfsEventHandler

    public final class FdkServiceEventHandler

extends Executor
implements IfsEventHandler

An Executor that performs ECM web service calls in a permanent single thread.

Nested Class Summary
`class` | `FdkServiceEventHandler.ItemInvalidation` Information about an invalidated item.

Constructor Summary
`FdkServiceEventHandler(int queueSize)` Constructs an FdkServiceEventHandler.

Method Summary
`void` | `addItem(java.lang.Long sessId, FdkSession session, java.lang.Long itemId)` Add an item to the event handler watch for the specified FDK session.
`static FdkServiceEventHandler` | `getInstance(LibrarySession session)` Returns the singleton instance of this Executor.
`java.util.HashMap` | `getItemInvalidations(java.lang.Long sessId)` Get the current set of invalidations for the specified session.
`void` | `handleEvent(IfsEvent event)` Handles the specified repository event.
`void` | `removeItem(java.lang.Long sessId, java.lang.Long itemId)` Remove an item from the event handler watch for the specified FDK session ID.
`void` | `removeSession(java.lang.Long sessId)` Remove a session from registration.

Methods inherited from class oracle.ifs.share.Executor
`callTask, getQueueSize, handleShutdown, interruptExecutingThread, isRequestQueueEmpty, run, shutdown, startThread, submit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FdkServiceEventHandler

    public FdkServiceEventHandler(int queueSize)

  Constructs an FdkServiceEventHandler.

  Parameters:
    `queueSize` - initial queue size

Method Detail

### getInstance

    public static FdkServiceEventHandler getInstance(LibrarySession session)
                                              throws FdkException

  Description copied from class: `FdkServiceEventHandler`
  Returns the singleton instance of this Executor.

  If an instance does not yet exist, this creates and starts it.

  Parameters:
    `session` - the session context
  Returns:
    the FdkServiceEventHandler
  Throws:
    `FdkException` - if the operation fails

### addItem

    public void addItem(java.lang.Long sessId,
                        FdkSession session,
                        java.lang.Long itemId)

  Description copied from class: `FdkServiceEventHandler`
  Add an item to the event handler watch for the specified FDK session.

  Parameters:
    `sessId` - the FDK session ID
    `session` - the FDK session
    `itemId` - the ID of the item to add

### removeItem

    public void removeItem(java.lang.Long sessId,
                           java.lang.Long itemId)

  Description copied from class: `FdkServiceEventHandler`
  Remove an item from the event handler watch for the specified FDK session ID.

  Parameters:
    `sessId` - the FDK session ID
    `itemId` - the ID of the item to remove

### removeSession

    public void removeSession(java.lang.Long sessId)

  Description copied from class: `FdkServiceEventHandler`
  Remove a session from registration.

  Parameters:
    `sessId` - the FDK session ID

### getItemInvalidations

    public java.util.HashMap getItemInvalidations(java.lang.Long sessId)

  Description copied from class: `FdkServiceEventHandler`
  Get the current set of invalidations for the specified session.

  Calling this has the side-effect of clearing the current set of invalidations being tracked for the specified session.

  Parameters:
    `sessId` - the FDK session ID
  Returns:
    a Map of the ItemInvalidations (keyed by Item ID)

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Description copied from class: `FdkServiceEventHandler`
  Handles the specified repository event.

  Specified by:
    `handleEvent` in interface `IfsEventHandler`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD